@extends('template.'.config('settings.template').'.content.master')
@section('head')
    <title>{{$content->title}} | {{config('settings.name')}}</title>
@stop
@section('content')
    <div class="container">
        <div class="row mb-5">
            <div class="col-12 mt-4">
                <a href="{{url('/')}}"> ← Back</a>
            </div>
            <div class="col-12 mt-4 mb-4">
                <h1>{{$content->title}}</h1>
            </div>
            <div class="col-12 col-md-4">
                <img src="{{$content->image()}}" class="img-fluid rounded" alt="Bild {{$content->title}}">
            </div>
            <div class="col-12 col-md-7 offset-md-1 fs-4">
                {!!$content->{$_description_fielda??''}!!}
            </div>
        </div>
        @if(isset($_images_field) && $content->{$_images_field})
            <div class="row">
                <div class="col-12 mt-4 mb-2">
                    <h2>Bilder</h2>
                </div>
                @foreach($content->{$_images_field} as $bild)
                    <div class="col-12 col-md-3 mb-4">
                        <x-img src="{{$bild}}" class="img-fluid rounded"/>
                    </div>
                @endforeach
                <div class="col-3"></div>
            </div>
        @endif
    </div>
    <script>
        const contentUrl = "{{url('/api/contents/'.$content->id)}}";
        const locationField = "{{$_location_field}}";
        let item = {!! json_encode($content)!!};
    </script>
    <script src="{{storage('assets/content/script.js')}}"></script>
@stop